lucene-solr-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Koji Sekiguchi <k...@r.email.ne.jp>
Subject Re: solr-ruby version management
Date Wed, 20 Aug 2008 13:02:21 GMT
Otis,

Thanks for the comment. I used dot instead of dash because my associate 
(Rubyist) said
that if I use 1.3-0.0.7 style version, I'll get an error when making a 
gem (I've never tried this):

ERROR:   While executing gem ....(ArgumentError)
   /usr/local/lib/ruby/site_ruby/1.8/rubygems/version.rb:56:in 
`initialize': Malformed version number string 1-3-0.0.7

But on second thought, I want to stick with the current style version. 
That is,
solr-ruby-0.0.6.gem. :)

If we release solr-ruby-1.3.0.1.gem and after that, Solr 1.4 will be 
released.
At thiat time, solr-ruby can never be renewed because solr-ruby-1.3 should
work fine with Solr 1.4. But once if we release solr-ruby-1.3.0.x.gem,
we should release solr-ruby-1.4.0.1.gem for the checkpoint purpose.
I don't want to do that.

Koji

Otis Gospodnetic wrote:
> I like this idea.  Perhaps separate the solr version and the solr-ruby version with a
dash instead of dot -- solr-ruby-1.3.0-0.0.6
>
>  
> Otis
> --
> Sematext -- http://sematext.com/ -- Lucene - Solr - Nutch
>  --
> Sematext -- http://sematext.com/ -- Lucene - Solr - Nutch
>
>
>
> ----- Original Message ----
>   
>> From: Koji Sekiguchi <koji@r.email.ne.jp>
>> To: solr-user@lucene.apache.org; ruby-dev@lucene.apache.org
>> Sent: Tuesday, August 19, 2008 4:24:31 AM
>> Subject: solr-ruby version management
>>
>> From: http://www.nabble.com/CHANGES.txt-td18901774.html
>>
>> The latest version of solr-ruby is 0.0.6:
>>
>> solr-ruby-0.0.6.gem
>> http://rubyforge.org/frs/?group_id=2875&release_id=23885
>>
>> I think it isn't clear what Solr version is corresponding.
>>
>> I'd like to change this to solr-ruby-{solrVersion}.{solr-rubyVersion}.gem
>> when Solr 1.3 is released. Where solr-rubyVersion is two digits.
>> That is, the first official release of solr-ruby will be
>> solr-ruby-1.3.0.01.gem.
>>
>> Any objections to changing to this new version format?
>> Or anyone who has suggestions, please let me know.
>>
>> Koji
>>     
>
>
>   


Mime
View raw message